website requirements
Internet Explorer v. 5.0 - Netscape Navigator v.6.0 - Flash plugin